Subject: Re: [PATCH v3 00/12] pack-objects: integrate --path-walk and some --filter options

From: Taylor Blau <[email-masked]>
Date: Mon, 11 May 2026 21:43:32 -0400

On Mon, May 11, 2026 at 06:12:57PM +0000, Derrick Stolee via GitGitGadget wrote:
> Derrick Stolee (9):
>   t5620: make test work with path-walk var
>   pack-objects: pass --objects with --path-walk
>   t/perf: add pack-objects filter and path-walk benchmark
>   path-walk: always emit directly-requested objects
>   path-walk: support blobless filter
>   backfill: die on incompatible filter options
>   path-walk: support blob size limit filter
>   path-walk: add pl_sparse_trees to control tree pruning
>   pack-objects: support sparse:oid filter with path-walk
>
> Taylor Blau (3):
>   path-walk: support `tree:0` filter
>   path-walk: support `object:type` filter
>   path-walk: support `combine` filter

Thanks so much for putting this together! I'm really excited to see this
all moving along, and am eager to get this deployed at GitHub ;-).

I left a handful of notes throughout the series. There are a couple of
typos I noted that I think merit a reroll, but most of my remaining
comments are more for my own edification than identifying anything to
change within your series.

Thanks in advance for taking a look at them. I think that the next
reroll ought to be pretty close to the finish line.

Thanks,
Taylor